# Debian Buster ARMMP armhf NFS, initramfs, modules and dtbs

- job:
    name: lava-debian-buster-armmp-armhf
    project-type: freestyle
    defaults: global
    logrotate:
        daysToKeep: 24
        numToKeep: 12
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            platform-leads:
                - job-build
                - job-cancel
    disabled: true
    node: docker-stretch-amd64
    display-name: 'DELETE ME'
    wrappers:
        - timestamps
    builders:
        - linaro-publish-token
        - shell: |
            #!/bin/bash

            mkdir out
            cd out/
            echo "deb http://mirror.bytemark.co.uk/debian stretch-backports main" > stretch-backports.list
            sudo mv stretch-backports.list /etc/apt/sources.list.d/
            sudo apt-get update
            sudo DEBIAN_FRONTEND=noninteractive apt -q -y install qemu-user-static debootstrap
            wget https://git.linaro.org/lava-team/refactoring.git/blob_plain/HEAD:/scripts/armmp-nfs.sh
            chmod 744 ./armmp-nfs.sh
            sudo ./armmp-nfs.sh -d buster
            cd ..
            cat > ${WORKSPACE}/out/debian-buster-armmp-armhf-readme.html <<EOF
            <html><body><pre>
            lava-debian-buster-armmp-armhf build instructions
            ===================================================

            This initramfs is built using update-initramfs inside a
            minimal Debian Buster debootstrap chroot.
            The contents of the chroot is then packaged up as an NFS
            with an empty root password.
                auto_login:
                    login_prompt: 'login:'
                    username: root

            apt is included in the NFS, as are bash, grep, iproute2, mawk and sed.
            The NFS uses the default init in Buster: systemd.

            The Debian ARMMP kernel is a modular build and the modules
            need to be available in the initramfs for the kernel to be
            able to mount the NFS. The initramfs does not have DNS
            support.

            https://ci.linaro.org/view/lava-ci/job/lava-debian-buster-armmp-armhf/

            The script used by jenkins is available here:
            https://git.linaro.org/lava-team/refactoring.git/blob/HEAD:/scripts/armmp-nfs.sh

            https://git.linaro.org/ci/job/configs.git/blob/HEAD:/lava-debian-buster-armmp-armhf.yaml
            The base system is a Debian Buster VM.

            The NFS rootfs uses a prompt of "root@buster:"

            </pre></body></html>
            EOF

            # echo final location
            echo Publishing to: http://snapshots.linaro.org/components/lava/standard/debian/buster/armhf/${BUILD_NUMBER}

            # Publish
            test -d ${HOME}/bin || mkdir ${HOME}/bin
            wget -q https://git.linaro.org/ci/publishing-api.git/blob_plain/HEAD:/linaro-cp.py -O ${HOME}/bin/linaro-cp.py
            time python3 ${HOME}/bin/linaro-cp.py --api_version 3 out components/lava/standard/debian/buster/armhf/${BUILD_NUMBER}
    publishers:
        - email:
            recipients: 'neil.williams@linaro.org fathi.boudra@linaro.org'
